# class YAML::Nodes::Scalar

- YAML::Nodes::Scalar
- YAML::Nodes::Node
- Reference
- Object

##
Overview

A scalar value.

##
Defined in:

yaml/nodes/nodes.cr

##
Constructors

- .new(value : String)

  Creates a scalar with the given value.

##
Instance Method Summary

- #kind : String

  Returns the kind of this node, which is equivalent to the class name.

- #style : ScalarStyle

  The style of this scalar.

- #style=(style : ScalarStyle)

  The style of this scalar.

- #to_yaml(builder : YAML::Builder) : Nil
- #value : String

  The value of this scalar.

- #value=(value : String)

  The value of this scalar.

### Instance methods inherited from class `YAML::Nodes::Node`

anchor : String | Nil anchor, anchor=(anchor : String | Nil) anchor=, end_column : Int32 end_column, end_column=(end_column : Int32) end_column=, end_line : Int32 end_line, end_line=(end_line : Int32) end_line=, kind : String kind, location : Tuple(Int32, Int32) location, raise(message) : NoReturn raise, start_column : Int32 start_column, start_column=(start_column : Int32) start_column=, start_line : Int32 start_line, start_line=(start_line : Int32) start_line=, tag : String | Nil tag, tag=(tag : String | Nil) tag=

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new, unsafe_construct(address : Pointer, *args, **opts) : self unsafe_construct

### Class methods inherited from class `Reference`

pre_initialize(address : Pointer) pre_initialize

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Constructor Detail

def self.new(value : String) #

Creates a scalar with the given value.

##
Instance Method Detail

def kind : String #
Description copied from class YAML::Nodes::Node

Returns the kind of this node, which is equivalent to the class name.

def style : ScalarStyle #

The style of this scalar.

def style=(style : ScalarStyle) #

The style of this scalar.

def to_yaml(builder : YAML::Builder) : Nil #
def value : String #

The value of this scalar.

def value=(value : String) #

The value of this scalar.